<?php

namespace Drupal\simple_group_invite\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Drupal\simple_group_invite\Entity\SimpleGroupInvite;

/**
 * Controller for handling group invites.
 */
class SimpleGroupInviteController extends ControllerBase {

  public function accept($invite_id) {
    $invite = SimpleGroupInvite::load($invite_id);

    if ($invite) {
      $invite->setStatus('accepted');
      $invite->save();
      \Drupal::messenger()->addMessage($this->t('You have accepted the invite to group %group_id', ['%group_id' => $invite->getGroupId()]));
    }

    return new RedirectResponse('/members');
  }

  public function reject($invite_id) {
    $invite = SimpleGroupInvite::load($invite_id);

    if ($invite) {
      $invite->setStatus('rejected');
      $invite->save();
      \Drupal::messenger()->addMessage($this->t('You have rejected the invite to group %group_id', ['%group_id' => $invite->getGroupId()]));
    }

    return new RedirectResponse('/members');
  }
}
