<?php

namespace Drupal\simple_group_invite\Entity\Routing;

use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Entity\Routing\DefaultHtmlRouteProvider;
use Drupal\Core\Routing\RouteProviderInterface;
use Symfony\Component\Routing\Route;

class SimpleGroupInviteRouteProvider extends DefaultHtmlRouteProvider {

  /**
   * {@inheritdoc}
   */
  protected function getAddFormRoute(EntityTypeInterface $entity_type): ?Route {
    if ($route = parent::getAddFormRoute($entity_type)) {
      $parameters = [
        'simple_group_id' => ['type' => 'entity:simple_group'],
      ];
      $route->setOption('parameters', $parameters);
      return $route;
    }
    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  protected function getDeleteFormRoute(EntityTypeInterface $entity_type): ?Route {
    if ($route = parent::getDeleteFormRoute($entity_type)) {
      $parameters = [
        'simple_group_invite' => ['type' => 'entity:simple_group_invite'],
      ];
      $route->setOption('parameters', $parameters);
      return $route;
    }
    return NULL;
  }

}
