<?php

namespace Drupal\simple_group_invite\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\Route;
use Symfony\Component\Routing\RouteCollection;

class SimpleGroupInviteRouteSubscriber extends RouteSubscriberBase {

  protected function alterRoutes(RouteCollection $collection) {

//    $route = $collection->get('simple_group_invite.invite_form');
//    if (!$route) {
//      $route = new Route('/simple-group/{simple_group_id}/invite');
//      $route->setDefaults(
//        [
//          '_form' => '\Drupal\simple_group_invite\Form\SimpleGroupInviteForm',
//          '_title' => 'Invite Users to Group',
//        ]
//      )
//        ->setRequirement('_custom_access', '\Drupal\simple_group_invite\Form\SimpleGroupInviteForm::access')
//        ->setOption('parameters',
//          [
//            'simple_group_id' => ['type' => 'entity:simple_group'],
//          ]
//        );
//      $collection->add('simple_group_invite.invite_form', $route);
//    }

    $route = $collection->get('simple_group_invite.accept');
    if (!$route) {
      $route = new Route('/simple_group/invite/accept/{invite_id}');
      $route = $route->setDefaults(
        [
          '_controller' => '\Drupal\simple_group_invite\Controller\SimpleGroupInviteController::accept',
          '_title' => 'Accept Invitation',
        ]
      )
      ->setRequirement('_user_is_logged_in', 1)
      ->setOption('no_cache', TRUE);
      $collection->add('simple_group_invite.accept', $route);
    }

    $route = $collection->get('simple_group_invite.reject');
    if (!$route) {
      $route = new Route('/simple_group/invite/reject/{invite_id}');
      $route = $route->setDefaults(
        [
          '_controller' => '\Drupal\simple_group_invite\Controller\SimpleGroupInviteController::reject',
          '_title' => 'Reject Invitation',
        ]
      )
        ->setRequirement('_user_is_logged_in', 1)
        ->setOption('no_cache', TRUE);
      $collection->add('simple_group_invite.reject', $route);
    }

  }
}
