<?php

namespace Drupal\simple_group\Access;

/**
 * Class to provide custom permissions for Simple Groups.
 */
class SimpleGroupPermissions {

  const ADMINISTER_SIMPLE_GROUPS = 'administer simple groups';
  const MANAGE_SIMPLE_GROUPS = 'manage simple groups';
  const VIEW_ALL_SIMPLE_GROUPS = 'view all simple groups';
  const VIEW_ASSIGNED_SIMPLE_GROUPS = 'view assigned simple groups';
  const VIEW_OWNED_SIMPLE_GROUPS = 'view owned simple groups';

  /**
   * Returns the list of custom permissions.
   *
   * @return array
   *   An array of custom permissions.
   */
  public static function getPermissions() {
    return [
      self::ADMINISTER_SIMPLE_GROUPS,
      self::MANAGE_SIMPLE_GROUPS,
      self::VIEW_ALL_SIMPLE_GROUPS,
      self::VIEW_OWNED_SIMPLE_GROUPS,
      self::VIEW_ASSIGNED_SIMPLE_GROUPS,
    ];
  }

}
