<?php

namespace Drupal\simple_group;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Definition;
use Symfony\Component\Finder\Finder;

class SimpleGroupServiceProvider extends ServiceProviderBase {

  public function alter(ContainerBuilder $container) {
    $container->register('simple_group.simple_group_access_control_handler',
      '\Drupal\simple_group\Entity\Access\SimpleGroupAccessControlHandler')
    ->addArgument(new Definition('entity_field.manager'))
    ->addTag('entity_access_control_handler', ['entity_type' => 'simple_group']);
  }

  public function register(ContainerBuilder $container) {
    parent::register($container);
    $containerModules = $container->getParameter('container.modules');
    $finder = new Finder();

    $foldersWithServiceContainers = [];

    $foldersWithServiceContainers['Drupal\simple_group\Service\\'] =
      $finder->in(
        dirname(
          $containerModules['simple_group']['pathname']) . '/src/Service/')
        ->files()->name('*.php');

    foreach ($foldersWithServiceContainers as $namespace => $files) {
      foreach ($files as $fileInfo) {
        // remove .php extension from filename
        $class = $namespace
          . substr($fileInfo->getFilename(), 0, -4);
        // don't override any existing service
        if ($container->hasDefinition($class)) {
          continue;
        }
        $definition = new Definition($class);
        $definition->setAutowired(TRUE);
        $definition->setPublic(TRUE);
        $container->setDefinition($class, $definition);
      }
    }
  }
}
